# List jobs

`GET /v0/jobs`

Returns a keyset-paginated list of open, commercially cleared jobs matching the supplied filters. Filters combine with AND across dimensions and OR within each repeated dimension.

## Authentication

`bearerAuth` (http bearer) — Organisation API key supplied only through the Authorization header. Required scopes: `jobs:read`.

## Request

### cURL

```shell
curl --request GET \
  --url "https://api.luranta.com/v0/jobs" \
  --header "Authorization: Bearer $LURANTA_API_KEY" \
  --header "Accept: application/json" \
  --get \
  --data-urlencode "query=software engineer" \
  --data-urlencode "roles=software-engineering"
```

### TypeScript

```ts
const url = new URL("https://api.luranta.com/v0/jobs")
url.searchParams.append("query", "software engineer")
url.searchParams.append("roles", "software-engineering")

const response = await fetch(url, {
  headers: {
    Authorization: `Bearer ${process.env.LURANTA_API_KEY}`,
  },
})

const result = await response.json()
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.luranta.com/v0/jobs",
    params=[
        ("query", "software engineer"),
        ("roles", "software-engineering"),
    ],
    headers={"Authorization": f"Bearer {os.environ['LURANTA_API_KEY']}"},
    timeout=30,
)
response.raise_for_status()
result = response.json()
```

## Parameters

### `query`

`string` · query · optional

Full-text query matched against indexed job text and title similarity. Normalized to Unicode NFC with folded whitespace; 1–200 characters.

- Type: `string`
  - Description: Full-text query matched against indexed job text and title similarity. Normalized to Unicode NFC with folded whitespace; 1–200 characters.
  - Examples: `["software engineer"]`
  - Maximum length: `200`
  - Minimum length: `1`

Examples

- example-1: `software engineer`

### `roles`

`string[]` · query · optional · style `form` · explode `true`

Stable role family or specialism codes from the versioned Luranta role taxonomy. Repeat the parameter to match any supplied code; maximum 50. Discover values with GET /v0/taxonomies/roles.

[Browse available values](/reference/getRoleTaxonomy).

- Type: `string[]`
  - Description: Stable role family or specialism codes from the versioned Luranta role taxonomy. Repeat the parameter to match any supplied code; maximum 50. Discover values with GET /v0/taxonomies/roles.
  - Default: `[]`
  - Examples: `[["software-engineering"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Maximum length: `160`
      - Minimum length: `1`
      - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`

Examples

- example-1: `["software-engineering"]`

### `locations`

`string[]` · query · optional · style `form` · explode `true`

Canonical location IDs: region:EMEA, region:APAC, region:AMERICAS, country:<ISO 3166-1 alpha-2>, admin:<code>, or city:geonames:<ID>. Metro IDs are accepted when present in the location catalogue. Repeat to match any selector; maximum 300.

[Browse available values](/reference/listLocations).

- Type: `string[]`
  - Description: Canonical location IDs: region:EMEA, region:APAC, region:AMERICAS, country:<ISO 3166-1 alpha-2>, admin:<code>, or city:geonames:<ID>. Metro IDs are accepted when present in the location catalogue. Repeat to match any selector; maximum 300.
  - Default: `[]`
  - Examples: `[["country:GB"]]`
  - Maximum items: `300`
  - Items:
    - Type: `string`
      - Maximum length: `240`
      - Minimum length: `1`

Examples

- example-1: `["country:GB"]`

### `companies`

`string<uuid>[]` · query · optional · style `form` · explode `true`

Company UUIDv7 identifiers. Repeat the parameter to match any supplied company; maximum 20.

- Type: `string<uuid>[]`
  - Description: Company UUIDv7 identifiers. Repeat the parameter to match any supplied company; maximum 20.
  - Default: `[]`
  - Examples: `[["019bf6e2-a668-7a1b-811d-c5845c739754"]]`
  - Maximum items: `20`
  - Items:
    - Type: `string<uuid>`
      - Format: `uuid`
      - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`

Examples

- example-1: `["019bf6e2-a668-7a1b-811d-c5845c739754"]`

### `industries`

`string[]` · query · optional · style `form` · explode `true`

Stable industry codes assigned to the hiring company from the versioned Luranta industry taxonomy. Repeat the parameter to match any supplied code; maximum 50. Discover values with GET /v0/taxonomies/industries.

[Browse available values](/reference/getIndustryTaxonomy).

- Type: `string[]`
  - Description: Stable industry codes assigned to the hiring company from the versioned Luranta industry taxonomy. Repeat the parameter to match any supplied code; maximum 50. Discover values with GET /v0/taxonomies/industries.
  - Default: `[]`
  - Examples: `[["technology"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Maximum length: `160`
      - Minimum length: `1`
      - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`

Examples

- example-1: `["technology"]`

### `tools`

`string[]` · query · optional · style `form` · explode `true`

Stable tool or technology codes identified for the job. Repeat the parameter to match any supplied code; discover evolving values with GET /v0/tools?query=...; maximum 50.

[Browse available values](/reference/listTools).

- Type: `string[]`
  - Description: Stable tool or technology codes identified for the job. Repeat the parameter to match any supplied code; discover evolving values with GET /v0/tools?query=...; maximum 50.
  - Default: `[]`
  - Examples: `[["typescript"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Maximum length: `160`
      - Minimum length: `1`
      - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`

Examples

- example-1: `["typescript"]`

### `work_arrangements`

`string[]` · query · optional · style `form` · explode `true`

Work arrangements: on_site, hybrid, or remote. Repeat the parameter to match any supplied value; maximum 50.

Available options: `on_site`, `hybrid`, `remote`.

- Type: `string[]`
  - Description: Work arrangements: on_site, hybrid, or remote. Repeat the parameter to match any supplied value; maximum 50.
  - Default: `[]`
  - Examples: `[["remote"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Allowed values: `["on_site","hybrid","remote"]`

Examples

- example-1: `["remote"]`

### `schedules`

`string[]` · query · optional · style `form` · explode `true`

Employment schedules: full-time or part-time. Repeat the parameter to match any supplied value; maximum 50.

Available options: `full-time`, `part-time`.

- Type: `string[]`
  - Description: Employment schedules: full-time or part-time. Repeat the parameter to match any supplied value; maximum 50.
  - Default: `[]`
  - Examples: `[["full-time"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Allowed values: `["full-time","part-time"]`

Examples

- example-1: `["full-time"]`

### `engagements`

`string[]` · query · optional · style `form` · explode `true`

Engagement types: permanent, fixed-term, contract-freelance, temporary-seasonal-casual, internship, apprenticeship, or volunteer. Repeat to match any supplied value; maximum 50.

Available options: `permanent`, `fixed-term`, `contract-freelance`, `temporary-seasonal-casual`, `internship`, `apprenticeship`, `volunteer`.

- Type: `string[]`
  - Description: Engagement types: permanent, fixed-term, contract-freelance, temporary-seasonal-casual, internship, apprenticeship, or volunteer. Repeat to match any supplied value; maximum 50.
  - Default: `[]`
  - Examples: `[["permanent"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Allowed values: `["permanent","fixed-term","contract-freelance","temporary-seasonal-casual","internship","apprenticeship","volunteer"]`

Examples

- example-1: `["permanent"]`

### `experience_min`

`integer` · query · optional

Lower bound of the acceptable experience range in whole years, from 0 to 20. Matches a stated job range that overlaps this bound.

- Type: `integer`
  - Description: Lower bound of the acceptable experience range in whole years, from 0 to 20. Matches a stated job range that overlaps this bound.
  - Examples: `[2]`
  - Maximum: `20`
  - Minimum: `0`

Examples

- example-1: `2`

### `experience_max`

`integer` · query · optional

Upper bound of the acceptable experience range in whole years, from 0 to 20; 20 includes jobs requiring 20 years or more. Matches a stated job range that overlaps this bound.

- Type: `integer`
  - Description: Upper bound of the acceptable experience range in whole years, from 0 to 20; 20 includes jobs requiring 20 years or more. Matches a stated job range that overlaps this bound.
  - Examples: `[5]`
  - Maximum: `20`
  - Minimum: `0`

Examples

- example-1: `5`

### `include_unstated_experience`

`boolean` · query · optional

When an experience bound is present, include jobs without a numeric experience requirement. Defaults to true and has no effect without an experience bound.

- Type: `boolean`
  - Description: When an experience bound is present, include jobs without a numeric experience requirement. Defaults to true and has no effect without an experience bound.
  - Default: `true`
  - Examples: `[true]`

Examples

- example-1: `true`

### `visa_sponsorship`

`string[]` · query · optional · style `form` · explode `true`

Set to available to return only jobs explicitly marked as offering visa sponsorship.

Available options: `available`.

- Type: `string[]`
  - Description: Set to available to return only jobs explicitly marked as offering visa sponsorship.
  - Default: `[]`
  - Examples: `[["available"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Constant: `available`

Examples

- example-1: `["available"]`

### `languages`

`string[]` · query · optional · style `form` · explode `true`

Canonical BCP 47 language tags. A job must use a supplied listing language and satisfy each resolved language-requirement group with a supplied language. Repeat for alternatives; maximum 50.

- Type: `string[]`
  - Description: Canonical BCP 47 language tags. A job must use a supplied listing language and satisfy each resolved language-requirement group with a supplied language. Repeat for alternatives; maximum 50.
  - Default: `[]`
  - Examples: `[["en-GB"]]`
  - Maximum items: `50`
  - Items:
    - Type: `string`
      - Maximum length: `35`
      - Minimum length: `2`

Examples

- example-1: `["en-GB"]`

### `compensation_metric`

`string` · query · optional

Annual USD metric used by compensation bounds and sorting: base salary or target-cash. Defaults to base.

Available options: `base`, `target-cash`.

- Type: `string`
  - Description: Annual USD metric used by compensation bounds and sorting: base salary or target-cash. Defaults to base.
  - Allowed values: `["base","target-cash"]`
  - Default: `base`
  - Examples: `["base"]`

Examples

- example-1: `base`

### `compensation_min`

`number` · query · optional

Minimum annual USD threshold for the selected compensation metric. Matches a package whose upper bound, or lower bound when no upper bound exists, meets the threshold.

- Type: `number`
  - Description: Minimum annual USD threshold for the selected compensation metric. Matches a package whose upper bound, or lower bound when no upper bound exists, meets the threshold.
  - Examples: `[60000]`
  - Minimum: `0`

Examples

- example-1: `60000`

### `compensation_max`

`number` · query · optional

Maximum annual USD threshold for the selected compensation metric. Matches a package whose lower bound, or upper bound when no lower bound exists, does not exceed the threshold.

- Type: `number`
  - Description: Maximum annual USD threshold for the selected compensation metric. Matches a package whose lower bound, or upper bound when no lower bound exists, does not exceed the threshold.
  - Examples: `[90000]`
  - Minimum: `0`

Examples

- example-1: `90000`

### `bonus`

`boolean` · query · optional

When true, require a matching compensation package that discloses a bonus. Defaults to false, which does not filter on bonuses.

- Type: `boolean`
  - Description: When true, require a matching compensation package that discloses a bonus. Defaults to false, which does not filter on bonuses.
  - Default: `false`
  - Examples: `[true]`

Examples

- example-1: `true`

### `commission`

`boolean` · query · optional

When true, require a matching compensation package that discloses commission. Defaults to false, which does not filter on commission.

- Type: `boolean`
  - Description: When true, require a matching compensation package that discloses commission. Defaults to false, which does not filter on commission.
  - Default: `false`
  - Examples: `[true]`

Examples

- example-1: `true`

### `equity`

`boolean` · query · optional

When true, require a matching compensation package that offers equity. Defaults to false, which does not filter on equity.

- Type: `boolean`
  - Description: When true, require a matching compensation package that offers equity. Defaults to false, which does not filter on equity.
  - Default: `false`
  - Examples: `[true]`

Examples

- example-1: `true`

### `freshness`

`string` · query · optional

Limits jobs by published_at, falling back to first_seen_at: any, 7-days, 30-days, 90-days, or 365-days. Defaults to any.

Available options: `any`, `7-days`, `30-days`, `90-days`, `365-days`.

- Type: `string`
  - Description: Limits jobs by published_at, falling back to first_seen_at: any, 7-days, 30-days, 90-days, or 365-days. Defaults to any.
  - Allowed values: `["any","7-days","30-days","90-days","365-days"]`
  - Default: `any`
  - Examples: `["30-days"]`

Examples

- example-1: `30-days`

### `sort`

`string` · query · optional

Ordering field: updated and recommended use non-personalized publication or first-seen time; compensation uses the selected metric midpoint. Defaults to updated.

Available options: `recommended`, `compensation`, `updated`.

- Type: `string`
  - Description: Ordering field: updated and recommended use non-personalized publication or first-seen time; compensation uses the selected metric midpoint. Defaults to updated.
  - Allowed values: `["recommended","compensation","updated"]`
  - Default: `updated`
  - Examples: `["updated"]`

Examples

- example-1: `updated`

### `direction`

`string` · query · optional

Sort direction for the selected ordering field. UUIDv7 ID breaks ties. Defaults to desc.

Available options: `asc`, `desc`.

- Type: `string`
  - Description: Sort direction for the selected ordering field. UUIDv7 ID breaks ties. Defaults to desc.
  - Allowed values: `["asc","desc"]`
  - Default: `desc`
  - Examples: `["desc"]`

Examples

- example-1: `desc`

### `cursor`

`string` · query · optional

Opaque keyset cursor from next_cursor. Reuse it with unchanged filters, sort, and direction; limit may change. Expires after 24 hours.

- Type: `string`
  - Description: Opaque keyset cursor from next_cursor. Reuse it with unchanged filters, sort, and direction; limit may change. Expires after 24 hours.
  - Maximum length: `1000`
  - Minimum length: `1`

### `limit`

`integer` · query · optional

Maximum resources to return, from 1 to 100. Defaults to 20.

- Type: `integer`
  - Description: Maximum resources to return, from 1 to 100. Defaults to 20.
  - Default: `20`
  - Examples: `[20]`
  - Maximum: `100`
  - Minimum: `1`

Examples

- example-1: `20`

## Responses

### 200

A page of matching open jobs. The list may be empty.

#### Headers

##### `Luranta-Cost-USD`

`string` · optional

Credit consumed as a USD decimal string. Present only on successful billable responses.

- Type: `string`
  - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`

##### `Luranta-Credit-Balance-USD`

`string` · optional

Organisation credit remaining after settlement. Present only on successful billable responses.

- Type: `string`
  - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`

##### `Luranta-Resources-Returned`

`integer` · optional

Number of resources returned and charged. Present only on successful billable responses.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/json

- Type: `JobList`
  - Component: [`JobList`](/reference/schemas#JobList)
  - Additional properties: `forbidden`
  - Properties:
    - `data` (required):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `apply_url` (required):
                - Type: `string<uri> | null`
                  - anyOf:
                    - Type: `string<uri>`
                      - Format: `uri`
                      - Maximum length: `2048`
                    - Type: `null`
              - `closed_at` (required):
                - Type: `string<date-time> | null`
                  - anyOf:
                    - Type: `string<date-time>`
                      - Format: `date-time`
                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
                    - Type: `null`
              - `company` (required):
                - Type: `object`
                  - Additional properties: `forbidden`
                  - Properties:
                    - `id` (required):
                      - Type: `string<uuid>`
                        - Format: `uuid`
                        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
                    - `name` (required):
                      - Type: `string`
                        - Maximum length: `240`
                        - Minimum length: `1`
              - `compensation` (required):
                - Type: `object | null`
                  - anyOf:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `base_annual_maximum` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `base_annual_minimum` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `currency` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Pattern: `^[A-Z]{3}$`
                              - Type: `null`
                        - `has_bonus` (required):
                          - Type: `boolean`
                        - `has_commission` (required):
                          - Type: `boolean`
                        - `has_equity` (required):
                          - Type: `boolean`
                        - `target_cash_annual_maximum` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `target_cash_annual_minimum` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                    - Type: `null`
              - `compensationPackages` (required):
                - Type: `object[]`
                  - Default: `[]`
                  - Maximum items: `20`
                  - Items:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `baseAnnualCurrency` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                              - Type: `null`
                        - `baseAnnualMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `baseAnnualMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `baseAnnualUsdMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `baseAnnualUsdMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `components` (required):
                          - Type: `object[]`
                            - Maximum items: `20`
                            - Minimum items: `1`
                            - Items:
                              - Type: `object`
                                - oneOf:
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `currency` (required):
                                        - Type: `string`
                                          - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `max` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `min` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `money`
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `max` (optional):
                                        - Type: `number`
                                          - Maximum: `1000`
                                          - Minimum: `0`
                                      - `min` (optional):
                                        - Type: `number`
                                          - Maximum: `1000`
                                          - Minimum: `0`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `percentage`
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `max` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `min` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `unit` (required):
                                        - Type: `string`
                                          - Maximum length: `40`
                                          - Minimum length: `1`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `units`
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `disclosure`
                        - `evidence` (required):
                          - Type: `string`
                            - Maximum length: `240`
                            - Minimum length: `1`
                        - `fxObservedAt` (required):
                          - Type: `string<date-time> | null`
                            - anyOf:
                              - Type: `string<date-time>`
                                - Format: `date-time`
                                - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
                              - Type: `null`
                        - `hasBonus` (required):
                          - Type: `boolean`
                        - `hasCommission` (required):
                          - Type: `boolean`
                        - `hasEquity` (required):
                          - Type: `boolean`
                        - `scope` (required):
                          - Type: `object`
                            - Default: `{"kind":"unspecified"}`
                            - oneOf:
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `global`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `countryCode` (required):
                                    - Type: `string`
                                      - Allowed values: `["AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW"]`
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `country`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `adminAreaCode` (required):
                                    - Type: `string`
                                      - Pattern: `^[A-Z]{2}\.[A-Z0-9-]{1,12}$`
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `admin`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `metro`
                                  - `metroId` (required):
                                    - Type: `string`
                                      - Pattern: `^metro:[A-Za-z0-9][A-Za-z0-9._:-]{0,239}$`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `place`
                                  - `placeId` (required):
                                    - Type: `integer`
                                      - Exclusive minimum: `0`
                                      - Maximum: `9007199254740991`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `unspecified`
                        - `source` (required):
                          - Type: `string`
                            - Allowed values: `["employer_feed","greenhouse_pay_transparency","structured_data","description"]`
                        - `targetCashAnnualCurrency` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                              - Type: `null`
                        - `targetCashAnnualMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `targetCashAnnualMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `targetCashAnnualUsdMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `targetCashAnnualUsdMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
              - `compensationSelectionReason` (required):
                - Type: `string`
                  - Allowed values: `["unique","global","location_match","location_dependent","none"]`
                  - Default: `none`
              - `engagements` (required):
                - Type: `string[]`
                  - Maximum items: `7`
                  - Items:
                    - Type: `string`
                      - Allowed values: `["permanent","fixed-term","contract-freelance","temporary-seasonal-casual","internship","apprenticeship","volunteer"]`
              - `experience` (required):
                - Type: `object`
                  - Additional properties: `forbidden`
                  - Properties:
                    - `maximum_years` (required):
                      - Type: `integer | null`
                        - anyOf:
                          - Type: `integer`
                            - Maximum: `80`
                            - Minimum: `0`
                          - Type: `null`
                    - `minimum_years` (required):
                      - Type: `integer | null`
                        - anyOf:
                          - Type: `integer`
                            - Maximum: `80`
                            - Minimum: `0`
                          - Type: `null`
                    - `unstated` (required):
                      - Type: `boolean`
              - `first_seen_at` (required):
                - Type: `string<date-time>`
                  - Format: `date-time`
                  - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
              - `id` (required):
                - Type: `string<uuid>`
                  - Format: `uuid`
                  - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
              - `languages` (required):
                - Type: `string[]`
                  - Maximum items: `50`
                  - Items:
                    - Type: `string`
                      - Maximum length: `35`
                      - Minimum length: `2`
              - `last_seen_at` (required):
                - Type: `string<date-time>`
                  - Format: `date-time`
                  - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
              - `locationDisclosures` (required):
                - Type: `object[]`
                  - Default: `[]`
                  - Maximum items: `50`
                  - Items:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `label` (required):
                          - Type: `string`
                            - Maximum length: `240`
                            - Minimum length: `1`
                        - `purpose` (required):
                          - Type: `string`
                            - Allowed values: `["workplace","applicant_eligibility","unspecified"]`
                        - `reason` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Maximum length: `80`
                                - Minimum length: `1`
                              - Type: `null`
                        - `status` (required):
                          - Type: `string`
                            - Allowed values: `["resolved","stated_unresolved","conflict"]`
              - `locations` (required):
                - Type: `object[]`
                  - Maximum items: `50`
                  - Items:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `code` (required):
                          - Type: `string`
                            - Maximum length: `180`
                            - Minimum length: `1`
                        - `country` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Pattern: `^[A-Z]{2}$`
                              - Type: `null`
                        - `label` (required):
                          - Type: `string`
                            - Maximum length: `240`
                            - Minimum length: `1`
              - `locationState` (required):
                - Type: `string`
                  - Allowed values: `["resolved","stated_unresolved","unstated","conflict"]`
                  - Default: `unstated`
              - `object` (required):
                - Type: `string`
                  - Constant: `job`
              - `primaryCompensationPackage` (required):
                - Type: `object | null`
                  - Default: `null`
                  - anyOf:
                    - Type: `object`
                      - Additional properties: `forbidden`
                      - Properties:
                        - `baseAnnualCurrency` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                              - Type: `null`
                        - `baseAnnualMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `baseAnnualMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `baseAnnualUsdMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `baseAnnualUsdMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `components` (required):
                          - Type: `object[]`
                            - Maximum items: `20`
                            - Minimum items: `1`
                            - Items:
                              - Type: `object`
                                - oneOf:
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `currency` (required):
                                        - Type: `string`
                                          - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `max` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `min` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `money`
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `max` (optional):
                                        - Type: `number`
                                          - Maximum: `1000`
                                          - Minimum: `0`
                                      - `min` (optional):
                                        - Type: `number`
                                          - Maximum: `1000`
                                          - Minimum: `0`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `percentage`
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `max` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `min` (optional):
                                        - Type: `number`
                                          - Minimum: `0`
                                      - `unit` (required):
                                        - Type: `string`
                                          - Maximum length: `40`
                                          - Minimum length: `1`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `units`
                                  - Type: `object`
                                    - Additional properties: `forbidden`
                                    - Properties:
                                      - `cadence` (required):
                                        - Type: `string`
                                          - Allowed values: `["recurring","one_time","unknown"]`
                                      - `condition` (required):
                                        - Type: `string`
                                          - Allowed values: `["target","guaranteed","discretionary","maximum_only","unspecified"]`
                                      - `evidence` (required):
                                        - Type: `string`
                                          - Maximum length: `240`
                                          - Minimum length: `1`
                                      - `interval` (required):
                                        - Type: `string`
                                          - Allowed values: `["year","month","week","day","hour","none","unknown"]`
                                      - `kind` (required):
                                        - Type: `string`
                                          - Allowed values: `["base_pay","ote","commission","cash_bonus","equity","employer_total"]`
                                      - `valueType` (required):
                                        - Type: `string`
                                          - Constant: `disclosure`
                        - `evidence` (required):
                          - Type: `string`
                            - Maximum length: `240`
                            - Minimum length: `1`
                        - `fxObservedAt` (required):
                          - Type: `string<date-time> | null`
                            - anyOf:
                              - Type: `string<date-time>`
                                - Format: `date-time`
                                - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
                              - Type: `null`
                        - `hasBonus` (required):
                          - Type: `boolean`
                        - `hasCommission` (required):
                          - Type: `boolean`
                        - `hasEquity` (required):
                          - Type: `boolean`
                        - `scope` (required):
                          - Type: `object`
                            - Default: `{"kind":"unspecified"}`
                            - oneOf:
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `global`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `countryCode` (required):
                                    - Type: `string`
                                      - Allowed values: `["AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW"]`
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `country`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `adminAreaCode` (required):
                                    - Type: `string`
                                      - Pattern: `^[A-Z]{2}\.[A-Z0-9-]{1,12}$`
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `admin`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `metro`
                                  - `metroId` (required):
                                    - Type: `string`
                                      - Pattern: `^metro:[A-Za-z0-9][A-Za-z0-9._:-]{0,239}$`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `place`
                                  - `placeId` (required):
                                    - Type: `integer`
                                      - Exclusive minimum: `0`
                                      - Maximum: `9007199254740991`
                              - Type: `object`
                                - Additional properties: `forbidden`
                                - Properties:
                                  - `kind` (required):
                                    - Type: `string`
                                      - Constant: `unspecified`
                        - `source` (required):
                          - Type: `string`
                            - Allowed values: `["employer_feed","greenhouse_pay_transparency","structured_data","description"]`
                        - `targetCashAnnualCurrency` (required):
                          - Type: `string | null`
                            - anyOf:
                              - Type: `string`
                                - Allowed values: `["AED","AFN","ALL","AMD","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BHD","BIF","BMD","BND","BOB","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHF","CLP","CNY","COP","CRC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SOS","SRD","SSP","STN","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","UYU","UZS","VES","VND","VUV","WST","XAF","XCD","XOF","XPF","YER","ZAR","ZMW","ZWG","BGN"]`
                              - Type: `null`
                        - `targetCashAnnualMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `targetCashAnnualMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `targetCashAnnualUsdMax` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                        - `targetCashAnnualUsdMin` (required):
                          - Type: `number | null`
                            - anyOf:
                              - Type: `number`
                                - Minimum: `0`
                              - Type: `null`
                    - Type: `null`
              - `published_at` (required):
                - Type: `string<date-time> | null`
                  - anyOf:
                    - Type: `string<date-time>`
                      - Format: `date-time`
                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
                    - Type: `null`
              - `roles` (required):
                - Type: `string[]`
                  - Maximum items: `20`
                  - Items:
                    - Type: `string`
                      - Maximum length: `160`
                      - Minimum length: `1`
                      - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`
              - `schedules` (required):
                - Type: `string[]`
                  - Maximum items: `2`
                  - Items:
                    - Type: `string`
                      - Allowed values: `["full-time","part-time"]`
              - `source_updated_at` (required):
                - Type: `string<date-time> | null`
                  - anyOf:
                    - Type: `string<date-time>`
                      - Format: `date-time`
                      - Pattern: `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$`
                    - Type: `null`
              - `source_url` (required):
                - Type: `string<uri> | null`
                  - anyOf:
                    - Type: `string<uri>`
                      - Format: `uri`
                      - Maximum length: `2048`
                    - Type: `null`
              - `status` (required):
                - Type: `string`
                  - Allowed values: `["open","closed"]`
              - `title` (required):
                - Type: `string`
                  - Maximum length: `300`
                  - Minimum length: `1`
              - `tools` (required):
                - Type: `string[]`
                  - Maximum items: `100`
                  - Items:
                    - Type: `string`
                      - Maximum length: `160`
                      - Minimum length: `1`
                      - Pattern: `^[a-z0-9]+(?:[-_.][a-z0-9]+)*$`
              - `visa_sponsorship` (required):
                - Type: `string | null`
                  - anyOf:
                    - Type: `string`
                      - Allowed values: `["available","unavailable"]`
                    - Type: `null`
              - `work_arrangements` (required):
                - Type: `string[]`
                  - Maximum items: `3`
                  - Items:
                    - Type: `string`
                      - Allowed values: `["on_site","hybrid","remote"]`
    - `has_more` (required):
      - Type: `boolean`
    - `next_cursor` (required):
      - Type: `string | null`
        - anyOf:
          - Type: `string`
            - Maximum length: `1000`
          - Type: `null`
    - `object` (required):
      - Type: `string`
        - Constant: `list`

### 400

The request contains an invalid parameter, parameter combination, or cursor.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 401

The organisation API key is missing, invalid, expired, or revoked.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 402

The organisation does not have enough credit to reserve this operation.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 403

The authenticated organisation lacks the required scope, or the browser origin is not allowed.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 404

The requested resource does not exist or is not available to this organisation.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 408

The server did not complete the request in time. This failure is non-billable and may be retried.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `Retry-After`

`integer` · optional

Minimum number of seconds before retrying when supplied.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 429

The organisation request rate was exceeded. Retry after the indicated delay.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `Retry-After`

`integer` · optional

Minimum number of seconds before retrying when supplied.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

### 503

The service or durable usage settlement is temporarily unavailable. This failure is non-billable.

This response uses [Problem Details](/reference/problem-details).

#### Headers

##### `Retry-After`

`integer` · optional

Minimum number of seconds before retrying when supplied.

- Type: `integer`
  - Minimum: `0`

##### `traceparent`

`string` · required

W3C trace context generated for this request attempt.

- Type: `string`
  - Pattern: `^00-[0-9a-f]{32}-[0-9a-f]{16}-[0-9a-f]{2}$`

##### `X-Request-Id`

`string<uuid>` · required

Unique UUIDv7 identifier for this request attempt.

- Type: `string<uuid>`
  - Format: `uuid`

#### application/problem+json

Errors follow [Problem Details](/reference/problem-details).

- Type: `ProblemDetails`
  - Component: [`ProblemDetails`](/reference/problem-details)
  - Additional properties: `forbidden`
  - Properties:
    - `available_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `code` (required):
      - Type: `string`
        - Maximum length: `80`
        - Minimum length: `1`
    - `detail` (required):
      - Type: `string`
        - Maximum length: `1000`
        - Minimum length: `1`
    - `errors` (optional):
      - Type: `object[]`
        - Maximum items: `100`
        - Items:
          - Type: `object`
            - Additional properties: `forbidden`
            - Properties:
              - `code` (required):
                - Type: `string`
                  - Maximum length: `80`
                  - Minimum length: `1`
              - `message` (required):
                - Type: `string`
                  - Maximum length: `500`
                  - Minimum length: `1`
              - `pointer` (required):
                - Type: `string`
                  - Pattern: `^\/.*`
    - `instance` (required):
      - Type: `string`
        - Pattern: `^\/.*`
    - `param` (optional):
      - Type: `string`
        - Maximum length: `160`
        - Minimum length: `1`
    - `request_id` (required):
      - Type: `string<uuid>`
        - Format: `uuid`
        - Pattern: `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$`
    - `required_credit_usd` (optional):
      - Type: `string`
        - Pattern: `^(?:0|[1-9]\d*)\.\d{2,6}$`
    - `retryable` (required):
      - Type: `boolean`
    - `status` (required):
      - Type: `integer`
        - Maximum: `599`
        - Minimum: `400`
    - `title` (required):
      - Type: `string`
        - Maximum length: `120`
        - Minimum length: `1`
    - `top_up_url` (optional):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`
    - `type` (required):
      - Type: `string<uri>`
        - Format: `uri`
        - Maximum length: `2048`

## Pagination

- Allows page size change: `true`
- Cursor ttl seconds: `86400`
- Has more path: `has_more`
- Items path: `data`
- Next cursor path: `next_cursor`
- Style: `keyset`

### Charging metadata

- Count path: `data`
- Meter: `job_resource`
- Model: `returned_resource`
- Resource: `job`
